package com.tzld.piaoquan.tencentad.common.enums;

import lombok.Getter;

import java.util.Objects;

@Getter
public enum AdMuseImageStatusEnum {

    DEFAULT(0, "待处理"),
    VERIFY_SUCCESS(1, "审核通过"),
    VERIFY_FAIL(2, "审核不通过"),
    UPLOAD_SUCCESS(3, "上传成功"),
    UPLOAD_FAIL(4, "上传失败")

    ;


    final Integer status;

    final String desc;

    AdMuseImageStatusEnum(Integer status, String desc) {
        this.status = status;
        this.desc = desc;
    }

    public static AdMuseImageStatusEnum getByStatus(Integer status) {
        for (AdMuseImageStatusEnum adMuseImageStatusEnum : AdMuseImageStatusEnum.values()) {
            if (Objects.equals(adMuseImageStatusEnum.getStatus(), status)) {
                return adMuseImageStatusEnum;
            }
        }
        return null;
    }


}
